Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232747 (perl-Net-CUPS) - Review Request: perl-Net-CUPS - Perl bindings to the CUPS C API Interface
Summary: Review Request: perl-Net-CUPS - Perl bindings to the CUPS C API Interface
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-Net-CUPS
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL: http://search.cpan.org/dist/Net-CUPS/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-17 01:51 UTC by Chris Weyl
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-21 15:27:48 UTC
panemade: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2007-03-17 01:51:11 UTC
SRPM URL: http://home.comcast.net/~ckweyl/perl-Net-CUPS-0.51-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Net-CUPS.spec

Description:
Net::CUPS is an interface to the Common Unix Printing System API.  If you feel
an urge to control CUPS servers via perl, this is a good way to do it :)

Comment 1 Parag AN(पराग) 2007-03-21 04:21:04 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
236f38f0dc33163ad5dbb0181e4bf7c4  Net-CUPS-0.51.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/01_use.....ok
t/02_cups....ok
All tests successful.
Files=2, Tests=12,  1 wallclock secs ( 0.12 cusr +  0.02 csys =  0.14 CPU)

+ Provides: CUPS.so perl(Net::CUPS) = 0.51 perl(Net::CUPS::Destination) = 0.51
perl(Net::CUPS::IPP) = 0.51 perl(Net::CUPS::PPD) = 0.51

APPROVED.
         

Comment 2 Chris Weyl 2007-03-21 05:07:50 UTC
New Package CVS Request
=======================
Package Name: perl-Net-CUPS
Short Description: Perl bindings to the CUPS C API Interface
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 3 Jens Petersen 2007-03-21 07:11:40 UTC
done

Comment 4 Chris Weyl 2007-03-21 15:27:48 UTC
Imported, branched, built.  Thanks for the review! :)


Note You need to log in before you can comment on or make changes to this bug.